#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct Globals
{
    float4x4 uVP;
};

struct main0_out
{
    float4 FragColor [[color(0)]];
};

struct main0_in
{
    float2 vUV [[user(locn0)]];
    float vAlpha [[user(locn1)]];
};

fragment main0_out main0(main0_in in [[stage_in]])
{
    main0_out out = {};
    float r = length(in.vUV);
    float a = (1.0 - smoothstep(0.449999988079071044921875, 1.0, r)) * in.vAlpha;
    out.FragColor = float4(0.0, 0.0, 0.0, a * 0.5);
    return out;
}

